classification
Title: PEP 3121, 384 Refactoring applied to unicodedata module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Cleanup the unicodedata module
View: 42157
Assigned To: Nosy List: Robin.Schreiber, effbot, lemburg, loewis, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:46 by Robin.Schreiber, last changed 2020-12-18 00:42 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
unicodedate_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:46
Messages (2)
msg168420 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:46
Changes proposed in PEP3121 and PEP384 have now been applied to the unicodedata module!
msg383278 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-12-18 00:42
Fixed by multiple changes, especially:

commit c8c4200b65b2159bbb13cee10d67dfb3676fef26
Author: Victor Stinner <vstinner@python.org>
Date:   Mon Oct 26 23:19:22 2020 +0100

    bpo-42157: Convert unicodedata.UCD to heap type (GH-22991)
    
    Convert the unicodedata extension module to the multiphase
    initialization API (PEP 489) and convert the unicodedata.UCD static
    type to a heap type.
    
    Co-Authored-By: Mohamed Koubaa <koubaa.m@gmail.com>
History
Date User Action Args
2020-12-18 00:42:47vstinnersetstatus: open -> closed

superseder: Cleanup the unicodedata module

nosy: + vstinner
messages: + msg383278
resolution: duplicate
stage: resolved
2012-11-08 13:41:19Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:46:19Robin.Schreibercreate